﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" %>
<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<%@ Register src="MyMapCtl.ascx" tagname="MyMapCtl" tagprefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        /* Firefox */ 
        ul.tabs 
        { 
	        list-style-type: none; 
	        border-bottom: solid 1px #97acd4; 
	        padding-bottom: -1px; 
	        margin:0px;
        }
        /* IE */ 
        * html ul.tabs 
        { 
	        list-style-type: none; 
	        border-bottom: solid 1px #97acd4; 
	        padding-bottom: 2px; 
        }

        li.tab 
        { 
	        border-left: solid 1px #97acd4; 
	        border-top: solid 1px #97acd4; 
	        border-right: solid 1px #97acd4;
	        padding-left:4px; 
	        padding-right:4px; 
	        display: inline; 
	        margin-left: 4px; 
	        margin-right: 4px; 
	        padding: 0px; 
        }

        /* Firefox */ 
        li.tab a 
        { 
	        font-size: 9pt; 
	        text-decoration: none; 
	        padding: 2px 8px 0px 8px; 
        }

        /* IE */ 
        * html li.tab a 
        { 
	        font-size: 9pt; 
	        text-decoration: none; 
	        padding: 2px 8px 2px 8px; 
        }

        li.inactivetab 
        { 
	        background-color: Silver;
        } 

        /* Firefox */ 
        li.inactivetab a 
        { 
        /*	border-bottom: solid 1px #97acd4; */
        }

        /* IE */ 
        * html li.inactivetab a 
        { 
        /*	border-bottom: solid 1px #97acd4; */
        }

        li.activetab 
        { 
	        background-color: White;
        }

        li.activetab a 
        { 
	        /* border-bottom: solid 1px white; */
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>

    <script type="text/javascript" src="opl_GeoResource.axd"></script>
    <script type="text/javascript" src="extension_GeoResource.axd"></script>
    <script type="text/javascript" src="helper_GeoResource.axd"></script>
    <script type="text/javascript" src="parser_GeoResource.axd"></script>
    <script type="text/javascript" src="func_GeoResource.axd"></script>
    <script type="text/javascript" src="cm_GeoResource.axd"></script>

    <div>
        <asp:UpdatePanel runat="server" ID="upnlMap" UpdateMode="Conditional">
            <ContentTemplate>
                <div id="tabs" style="margin-right:10px;">
                    <ul class="tabs" runat="server" id="tpViewTabList">
                        <li runat="server" id="tab1" class="tab activetab">
                            <asp:LinkButton ID="lnkbTab1" runat="server" Text="Tab 1" OnClick="ViewTab_Clicked"></asp:LinkButton>
                        </li>
                        <li runat="server" id="tabMap" class="tab inactivetab">
                            <asp:LinkButton ID="lnkbMap" runat="server" Text="Map Tab" OnClick="ViewTab_Clicked"></asp:LinkButton>
                        </li>
                        <li runat="server" id="tab2" class="tab inactivetab">
                            <asp:LinkButton ID="lnkbTab2" runat="server" Text="Tab 2" OnClick="ViewTab_Clicked"></asp:LinkButton>
                        </li>
                    </ul>
                </div>
                
                <asp:Panel runat="server" ID="pnlTab1" Visible="true">
                    Tab 1
                </asp:Panel>
                <asp:Panel runat="server" ID="pnlMap" Visible="false">
                    <uc1:MyMapCtl runat="server" ID="ctlMyMap" />
                </asp:Panel>
                <asp:Panel runat="server" ID="pnlTab2" Visible="false">
                    Tab 2
                </asp:Panel>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
    </form>
</body>
</html>
