﻿Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.WebEdition

Partial Class MyMapCtl
    Inherits System.Web.UI.UserControl

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            ctlMap.MapBackground.BackgroundBrush = New GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"))
            ctlMap.CurrentExtent = New RectangleShape(-13939426.6371, 6701997.4056, -7812401.86, 2626987.386962)
            ctlMap.MapUnit = GeographyUnit.Meter
            ctlMap.MapTools.Logo.Enabled = False
            ctlMap.MapTools.PanZoomBar.Enabled = True

            'Using Google API string from ThinkGeo samples - we have our own for production
            Dim googleMapKey As String = "http://maps.google.com/maps?file=api&amp;v=2&amp;key=ABQIAAAAoxK_HcqphMsnUQHEwLwHlRSavkNJi0NVTgm4UDidoiIU5dUJpRQW88FufPCp0aTPraxZgZFAIUHn3Q"

            ''This doesn't work - causes "The remote server returned an error: (403) Forbidden"
            'Dim googleMap As New GoogleMapsLayer("Google Map")
            'googleMap.LicenseKey = googleMapKey
            'googleMap.MapType = GoogleMapsMapType.RoadMap
            'ctlMap.StaticOverlay.Layers.Add(googleMap)
            'ctlMap.StaticOverlay.TileType = TileType.SingleTile
            'ctlMap.StaticOverlay.ClientCache.CacheId = "GoogleMapCache"
            'ctlMap.StaticOverlay.ClientCache.Duration = TimeSpan.FromDays(1)

            'This works
            Dim googleLayer As New GoogleOverlay("Google Map")
            googleLayer.JavaScriptLibraryUri = New Uri(googleMapKey)
            googleLayer.GoogleMapType = GoogleMapsMapType.RoadMap
            ctlMap.CustomOverlays.Add(googleLayer)
        End If

    End Sub
End Class
